# Interface: AttestationServiceStatusResponse

## Hierarchy

* **AttestationServiceStatusResponse**

## Index

### Properties

* [address](_wrappers_attestations_.attestationservicestatusresponse.md#address)
* [affiliation](_wrappers_attestations_.attestationservicestatusresponse.md#affiliation)
* [ageOfLatestBlock](_wrappers_attestations_.attestationservicestatusresponse.md#ageoflatestblock)
* [attestationServiceURL](_wrappers_attestations_.attestationservicestatusresponse.md#attestationserviceurl)
* [attestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#attestationsigner)
* [blacklistedRegionCodes](_wrappers_attestations_.attestationservicestatusresponse.md#blacklistedregioncodes)
* [blsPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#blspublickey)
* [ecdsaPublicKey](_wrappers_attestations_.attestationservicestatusresponse.md#ecdsapublickey)
* [error](_wrappers_attestations_.attestationservicestatusresponse.md#error)
* [hasAttestationSigner](_wrappers_attestations_.attestationservicestatusresponse.md#hasattestationsigner)
* [metadataURL](_wrappers_attestations_.attestationservicestatusresponse.md#metadataurl)
* [name](_wrappers_attestations_.attestationservicestatusresponse.md#name)
* [okStatus](_wrappers_attestations_.attestationservicestatusresponse.md#okstatus)
* [rightAccount](_wrappers_attestations_.attestationservicestatusresponse.md#rightaccount)
* [score](_wrappers_attestations_.attestationservicestatusresponse.md#score)
* [signer](_wrappers_attestations_.attestationservicestatusresponse.md#signer)
* [smsProviders](_wrappers_attestations_.attestationservicestatusresponse.md#smsproviders)
* [state](_wrappers_attestations_.attestationservicestatusresponse.md#state)
* [version](_wrappers_attestations_.attestationservicestatusresponse.md#version)

## Properties

###  address

• **address**: *[Address](../modules/_base_.md#address)*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:676](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L676)*

___

###  affiliation

• **affiliation**: *string | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:679](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L679)*

___

###  ageOfLatestBlock

• **ageOfLatestBlock**: *number | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:693](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L693)*

___

###  attestationServiceURL

• **attestationServiceURL**: *string | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:683](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L683)*

___

###  attestationSigner

• **attestationSigner**: *string*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:682](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L682)*

___

###  blacklistedRegionCodes

• **blacklistedRegionCodes**: *string[] | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:688](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L688)*

___

###  blsPublicKey

• **blsPublicKey**: *string*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:678](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L678)*

___

###  ecdsaPublicKey

• **ecdsaPublicKey**: *string*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:677](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L677)*

___

###  error

• **error**: *null | Error*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:686](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L686)*

___

###  hasAttestationSigner

• **hasAttestationSigner**: *boolean*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:681](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L681)*

___

###  metadataURL

• **metadataURL**: *string | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:684](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L684)*

___

###  name

• **name**: *string*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:675](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L675)*

___

###  okStatus

• **okStatus**: *boolean*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:685](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L685)*

___

###  rightAccount

• **rightAccount**: *boolean*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:689](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L689)*

___

###  score

• **score**: *BigNumber*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:680](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L680)*

___

###  signer

• **signer**: *string*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:690](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L690)*

___

###  smsProviders

• **smsProviders**: *string[]*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:687](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L687)*

___

###  state

• **state**: *[AttestationServiceStatusState](../enums/_wrappers_attestations_.attestationservicestatusstate.md)*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:691](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L691)*

___

###  version

• **version**: *string | null*

*Defined in [packages/contractkit/src/wrappers/Attestations.ts:692](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wrappers/Attestations.ts#L692)*
